// PropComPropertySheet.cpp : implementation file
//

#include "Stdafx.h"
#include "PropCom.h"
#include "PropComPropertySheet.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CPropComPropertySheet

IMPLEMENT_DYNAMIC(CPropComPropertySheet, CPropertySheet)

CPropComPropertySheet::CPropComPropertySheet(UINT nIDCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(nIDCaption, pParentWnd, iSelectPage)
{
}

CPropComPropertySheet::CPropComPropertySheet(LPCTSTR pszCaption, CWnd* pParentWnd, UINT iSelectPage)
	:CPropertySheet(pszCaption, pParentWnd, iSelectPage)
{
	m_psh.dwFlags |= PSH_NOAPPLYNOW;

	AddPage(&m_FirstPage);
	AddPage(&m_SecondPage);
}

CPropComPropertySheet::~CPropComPropertySheet()
{
}

BEGIN_MESSAGE_MAP(CPropComPropertySheet, CPropertySheet)
	//{{AFX_MSG_MAP(CPropComPropertySheet)
	ON_WM_SHOWWINDOW()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CPropComPropertySheet message handlers

void CPropComPropertySheet::OnShowWindow(BOOL bShow, UINT nStatus) 
{
	CPropertySheet::OnShowWindow(bShow, nStatus);
	
	SetIcon(LoadIcon(AfxGetInstanceHandle(), MAKEINTRESOURCE(IDR_MAINFRAME)), false);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	pSysMenu->RemoveMenu(SC_MOVE, MF_BYCOMMAND);	
}