// SerialRichEditCtrl.cpp : implementation file
//

#include "Stdafx.h"
#include "PropCom.h"
#include "SerialRichEditCtrl.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSerialRichEditCtrl

CSerialRichEditCtrl::CSerialRichEditCtrl()
	: m_pSerial(0)
	, m_fEcho(false)
{
}

CSerialRichEditCtrl::~CSerialRichEditCtrl()
{
}


BEGIN_MESSAGE_MAP(CSerialRichEditCtrl, CRichEditCtrl)
	//{{AFX_MSG_MAP(CSerialRichEditCtrl)
	ON_WM_CHAR()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSerialRichEditCtrl message handlers

void CSerialRichEditCtrl::OnChar(UINT nChar, UINT nRepCnt, UINT nFlags) 
{
	// Send the data through the serial connection (if it's open)
	if (m_pSerial && m_pSerial->IsOpen())
	{
		char ch = static_cast<char>(nChar);
		m_pSerial->Write(&ch,1);
	}
	
	// Use default handling when echo is enabled
	if (m_fEcho)
	{
		CRichEditCtrl::OnChar(nChar, nRepCnt, nFlags);
	}
}
